﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HubbleTelescope.Model
{
    /// <summary>
    /// A planet in our solar system
    /// </summary>
    public class Planet
    {
        /// <summary>
        /// Name of the planet
        /// </summary>
        public string Name
        {
            get;
            set;
        }

        /// <summary>
        /// Diameter of the planet in KM
        /// </summary>
        public long Diameter
        {
            get;
            set;
        }

#if WINDOWS_PHONE
        /// <summary>
        /// Property used b/c of lack of StringFormat in for Bindings on Windows Phone
        /// </summary>
        public string DiameterString
        {
            get { return Diameter.ToString() + " KM"; }
        }
#endif
    }
}
